Add Trial Balance
Header Parameters
Authorizationstring
x-signaturestring
x-timestampstring
x-client-idstring
Path Parameters
endDatestring
currencystring
reportTypestring
transactionStatusstring
accountsstring
accountTypestring
tagsstring
vendorsstring
customersstring
projectsstring
productsstring
Body Parameters
saveboolean
reportTitlestring
Response
200
Object
{
"status": "success",
"message": "Success on generating trail balance report.",
"data": {
"totals": {
"totalDebit": 125750.25,
"totalCredit": 125750.25
},
"accounts": [
{
"id": 42,
"type": "Assets",
"name": "Cash on Hand",
"originalName": "Cash on Hand",
"subTypeId": 5,
"accountNumber": "1000",
"subType": {
"id": 5,
"type": "Assets",
"name": "Cash and Cash Equivalents",
"anchorTier": "tier1"
},
"debit": 45000.00,
"credit": 0
},
{
"id": 87,
"type": "Assets",
"name": "Accounts Receivable",
"originalName": "Accounts Receivable",
"subTypeId": 6,
"accountNumber": "1100",
"subType": {
"id": 6,
"type": "Assets",
"name": "Current Assets",
"anchorTier": "tier1"
},
"debit": 30750.25,
"credit": 0
},
{
"id": 112,
"type": "Liabilities",
"name": "Accounts Payable",
"originalName": "Accounts Payable",
"subTypeId": 12,
"accountNumber": "2000",
"subType": {
"id": 12,
"type": "Liabilities",
"name": "Current Liabilities",
"anchorTier": "tier1"
},
"debit": 0,
"credit": 18500.00
},
{
"id": 156,
"type": "Revenue",
"name": "Sales Revenue",
"originalName": "Sales Revenue",
"subTypeId": 20,
"accountNumber": "4000",
"subType": {
"id": 20,
"type": "Revenue",
"name": "Operating Revenue",
"anchorTier": "tier1"
},
"debit": 0,
"credit": 85000.00
},
{
"id": 201,
"type": "Expenses",
"name": "Rent Expense",
"originalName": "Rent Expense",
"subTypeId": 25,
"accountNumber": "5000",
"subType": {
"id": 25,
"type": "Expenses",
"name": "Operating Expenses",
"anchorTier": "tier1"
},
"debit": 50000.00,
"credit": 0
},
{
"id": 220,
"type": "Equity",
"name": "Owner's Equity",
"originalName": "Owner's Equity",
"subTypeId": 18,
"accountNumber": "3000",
"subType": {
"id": 18,
"type": "Equity",
"name": "Owner's Equity",
"anchorTier": "tier1"
},
"debit": 0,
"credit": 22250.25
}
],
"filters": {
"startDate": "2024-01-01",
"endDate": "2024-12-31",
"currency": "USD"
}
}
}
401
Object
{
"status": "error",
"message": "Unauthorized",
"error": "missing_credentials"
}
403
Object
{
"status": "error",
"message": "Invalid access token.",
"error": "invalid_token"
}
Was this section helpful?
Response
Was this section helpful?